Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 717946 - dev-python/cherrypy dropped keywords
Summary: dev-python/cherrypy dropped keywords
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 726820 718136
Blocks: 718540 722880
  Show dependency tree
 
Reported: 2020-04-17 21:19 UTC by Sergei Trofimovich (RETIRED)
Modified: 2020-06-04 14:13 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/cherrypy arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/jaraco-collections arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/objgraph arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/pytest-services arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/routes arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/zc-lockfile arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/requests-toolbelt arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/jaraco-text arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/repoze-lru arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/pylibmc arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/betamax arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos media-gfx/xdot arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos dev-python/namespace-repoze arm arm64 ia64 ppc x86 amd64-linux x86-linux x64-macos x86-macos
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich (RETIRED) gentoo-dev 2020-04-17 21:19:35 UTC
$ eshowkw dev-python/cherrypy
Keywords for dev-python/cherrypy:
          |                             |   u   |
          | a   a     p         s a r   |   n   |
          | m   r i   p   h m s p l i m | e u s | r
          | d a m a p c x p 6 3 a p s i | a s l | e
          | 6 r 6 6 p 6 8 p 8 9 r h c p | p e o | p
          | 4 m 4 4 c 4 6 a k 0 c a v s | i d t | o
----------+-----------------------------+-------+-------
 3.8.0    | + + o ~ + o + o o o o o o o | 5 o 0 | gentoo
13.1.0    | ~ ~ o ~ ~ o ~ o o o o o o o | 6 #   | gentoo
13.1.0-r1 | ~ ~ o ~ ~ o ~ o o o o o o o | 7 o   | gentoo
17.4.1-r1 | ~ o ~ o o ~ o o o o o o o o | 7 #   | gentoo
17.4.2    | ~ o o o o o o o o o o o o o | 7 #   | gentoo
18.1.0-r1 | + o ~ o o ~ o o o o o o o o | 7 o   | gentoo
18.5.0    | ~ o o o o ~ o o o o o o o o | 7 o   | gentoo
Comment 1 NATTkA bot gentoo-dev 2020-04-18 05:24:29 UTC
Sanity check failed:

> dev-python/cherrypy-18.5.0
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/objgraph[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-services[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/routes[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/objgraph[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-services[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/routes[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/objgraph[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-services[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/objgraph[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/pytest-services[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/requests-toolbelt[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/routes[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/jaraco-collections[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>     dev-python/zc-lockfile[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
Comment 2 NATTkA bot gentoo-dev 2020-04-18 06:00:46 UTC
Sanity check failed:

> dev-python/jaraco-collections-3.0.0
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm stable profile default/linux/arm/17.0 (10 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (10 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/jaraco-text[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
> dev-python/objgraph-3.4.1
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     media-gfx/xdot
>   depend ~arm stable profile default/linux/arm/17.0 (25 total)
>     media-gfx/xdot
> dev-python/pytest-services-2.0.1
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/pylibmc[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm stable profile default/linux/arm/17.0 (10 total)
>     dev-python/pylibmc[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/pylibmc[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
> dev-python/routes-2.4.1-r1
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     >=dev-python/repoze-lru-0.3[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
> dev-python/requests-toolbelt-0.9.1
>   depend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/betamax[-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python2_7(-),python_targets_python3_6(-)]
Comment 3 NATTkA bot gentoo-dev 2020-04-18 06:05:00 UTC
Sanity check failed:

> dev-python/objgraph-3.4.1
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     media-gfx/xdot
>   depend ~arm stable profile default/linux/arm/17.0 (25 total)
>     media-gfx/xdot
> dev-python/repoze-lru-0.7-r1
>   bdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ~ia64 stable profile default/linux/ia64/17.0 (15 total)
>     dev-python/namespace-repoze[-python_single_target_pypy3(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-)]
Comment 4 NATTkA bot gentoo-dev 2020-04-18 06:13:04 UTC
All sanity-check issues have been resolved
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2020-04-30 09:04:59 UTC
commit f170b8116ab4f46fcb18ed36c033bc42e88227e6
Author: Sam James (sam_c) <sam@cmpct.info>
Date:   Tue Apr 28 01:06:51 2020 +0000

    dev-python/cherrypy: arm64 keyworded (bug #715008)
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2020-05-16 13:19:43 UTC
> Mikle Kolyada 2020-05-16 11:26:07 UTC
> CC: -arm@gentoo.org

Please either dekeyword a package or restore keywords. Un-CCing arm@ does not make the problem go away. Here is current keywords state:

Keywords for dev-python/cherrypy:
          |                             |   u   |
          | a   a     p s     a   r     |   n   |
          | m   r h   p p   s l i i m m | e u s | r
          | d a m p p c a x 3 p a s 6 i | a s l | e
          | 6 r 6 p p 6 r 8 9 h 6 c 8 p | p e o | p
          | 4 m 4 a c 4 c 6 0 a 4 v k s | i d t | o
----------+-----------------------------+-------+-------
 3.8.0    | + + o o + o o + o o ~ o o o | 5 o 0 | gentoo
13.1.0-r1 | ~ ~ o o ~ o o ~ o o ~ o o o | 7 o   | gentoo
18.1.0-r1 | + + ~ o o ~ o o o o o o o o | 7 o   | gentoo
18.5.0    | ~ o ~ o o ~ o o o o o o o o | 7 o   | gentoo
Comment 7 Mike Gilbert gentoo-dev 2020-05-16 14:22:06 UTC
(In reply to Sergei Trofimovich from comment #6)

He marked it stable on arm as part of bug 722880.

The graph you pasted shows a "+" in the arm column for 18.1.0-r1. What's the problem here?
Comment 8 Mike Gilbert gentoo-dev 2020-05-16 14:24:23 UTC
Oh, I see. Keywords need to be restored on 18.5.0 as well.
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-29 17:11:34 UTC
x86 done
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-30 16:35:07 UTC
ppc done
Comment 11 Sergei Trofimovich (RETIRED) gentoo-dev 2020-05-30 20:38:15 UTC
~ia64 keyworded
Comment 12 Sam James archtester gentoo-dev Security 2020-06-04 14:13:10 UTC
~arm added, closing